<?php

namespace Drupal\doccheck_basic\Plugin\Block;

use Drupal\Core\Block\BlockBase;
use Drupal\doccheck_basic\DoccheckBasicCommon;

/**
 * Provides a 'doccheck_basic' block.
 *
 * @Block(
 *   id = "doccheck_basic",
 *   admin_label = @Translation("DocCheck Basic"),
 *   category = @Translation("Login")
 * )
 */
class FormBlock extends BlockBase {

  /**
   * Doccheck login block.
   */
  public function build() {
    return DoccheckBasicCommon::doccheckBasicLogin('block');

  }

  /**
   * No caching for login block.
   */
  public function getCacheMaxAge() {
    \Drupal::service('page_cache_kill_switch')->trigger();
    return 0;
  }

}
